Debian Bug report logs - #385430
php-fpdf: breaks down in php 5+ environment with autoload function enabled

version graph

Package: php-fpdf; Maintainer for php-fpdf is Alessandro De Zorzi <lota@nonlontano.it>; Source for php-fpdf is src:php-fpdf.

Reported by: Ron Rademaker <ron@ttvavanti.nl>

Date: Thu, 31 Aug 2006 09:18:14 UTC

Severity: normal

Tags: patch

Found in version php-fpdf/1.53.dfsg-3

Fixed in version php-fpdf/1.53.dfsg-4

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Eisentraut <petere@debian.org>:
Bug#385430; Package php-fpdf. Full text and rfc822 format available.

Acknowledgement sent to Ron Rademaker <ron@ttvavanti.nl>:
New Bug report received and forwarded. Copy sent to Peter Eisentraut <petere@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ron Rademaker <ron@ttvavanti.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: php-fpdf: breaks down in php 5+ environment with autoload function enabled
Date: Thu, 31 Aug 2006 10:43:06 +0200
Package: php-fpdf
Version: 1.53.dfsg-3
Severity: normal
Tags: patch

The if (!class_exists('FPDF')) call in fpdf.php causes a call to a
__autoload function in php 5+ if such a function exists. The autoload
function will try to load the fpdf.php file, which in turn will call the
autoload again. The problem is easy to fix by replacing the !class_exists('FPDF') call with
!class_exists('FPDF', false) or by removing the if statement completely
(really... why is it there to begin with?).

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages php-fpdf depends on:
ii  php5-cli                      5.1.4-0.1  command-line interpreter for the p

php-fpdf recommends no packages.

-- no debconf information



Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ron Rademaker <ron@ttvavanti.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 385430-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 385430-close@bugs.debian.org
Subject: Bug#385430: fixed in php-fpdf 1.53.dfsg-4
Date: Fri, 15 Sep 2006 04:02:11 -0700
Source: php-fpdf
Source-Version: 1.53.dfsg-4

We believe that the bug you reported is fixed in the latest version of
php-fpdf, which is due to be installed in the Debian FTP archive:

php-fpdf_1.53.dfsg-4.diff.gz
  to pool/main/p/php-fpdf/php-fpdf_1.53.dfsg-4.diff.gz
php-fpdf_1.53.dfsg-4.dsc
  to pool/main/p/php-fpdf/php-fpdf_1.53.dfsg-4.dsc
php-fpdf_1.53.dfsg-4_all.deb
  to pool/main/p/php-fpdf/php-fpdf_1.53.dfsg-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385430@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated php-fpdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Sep 2006 12:47:27 +0200
Source: php-fpdf
Binary: php-fpdf
Architecture: source all
Version: 1.53.dfsg-4
Distribution: unstable
Urgency: medium
Maintainer: Peter Eisentraut <petere@debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 php-fpdf   - PHP class to generate PDF files
Closes: 385430
Changes: 
 php-fpdf (1.53.dfsg-4) unstable; urgency=medium
 .
   * Disable recursive autoloading of the FPDF class (closes: #385430)
Files: 
 c578174a6897d6fa49a983fec4433a6f 596 web optional php-fpdf_1.53.dfsg-4.dsc
 693c69ab61bd73a529cbdd5c663742a2 3308 web optional php-fpdf_1.53.dfsg-4.diff.gz
 cb4c07a6f39355e7525383ab4f4775d2 86218 web optional php-fpdf_1.53.dfsg-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFCobLTTx8oVVPtMYRAk9AAJ0eUMsDwIzogFJmtVRrt39xzXqYPACeOxTH
3y9rX4bc0jk4fCZsj8MegSM=
=pWWK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 02:20:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 15:55:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.